Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class LoadDomainHandler.AbstractLoadDomainAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.LoadDomainHandler.AbstractLoadDomainAction

Direct Known Subclasses:
  LoadDomainHandler.IncludeDomainAction, LoadDomainHandler.NewDomainAction

Enclosing class:
  LoadDomainHandler

    abstract class LoadDomainHandler.AbstractLoadDomainAction

extends HandlerAction

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) AgendaItem` | `item`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`LoadDomainHandler.AbstractLoadDomainAction(AgendaItem item)`

Method Summary
`(package private) boolean` | `askIfSafe()`
`(package private) boolean` | `existsDomainEditor()`
`(package private) Domain` | `getDomain(LList pattern)`
`ActionUnreadyReason` | `getUnreadyReason()` Returns an object that explains why this handler is not ready to be used.
`boolean` | `isReady()` Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used.
`(package private) Domain` | `readDomain(java.lang.String resourceName)`

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, handle, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    AgendaItem item

Constructor Detail

### LoadDomainHandler.AbstractLoadDomainAction

    LoadDomainHandler.AbstractLoadDomainAction(AgendaItem item)

Method Detail

### isReady

    public boolean isReady()

  Description copied from class: `HandlerAction`
  Indicates whether this action is ready to be used or else is waiting for something that would enable it to be used. The method in the HandlerAction class just returns true and is overridden in subclasses that have instances that are not always ready.

  Overrides:
    `isReady` in class `HandlerAction`
  See Also:
    `HandlerAction.getUnreadyReason()`

### getUnreadyReason

    public ActionUnreadyReason getUnreadyReason()

  Description copied from class: `HandlerAction`
  Returns an object that explains why this handler is not ready to be used.

  Overrides:
    `getUnreadyReason` in class `HandlerAction`
  See Also:
    `HandlerAction.isReady()`

### getDomain

    Domain getDomain(LList pattern)

### readDomain

    Domain readDomain(java.lang.String resourceName)

### existsDomainEditor

    boolean existsDomainEditor()

### askIfSafe

    boolean askIfSafe()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD